#!/usr/bin/python

import sys , os
try:
	from cfg import CFG
except:
	pass

from cPickle import dump

from urllib import quote
from ListParser import *
from ArticleParser import *
from RSSMaker import *
from HtmlStrip import strip
from RSSReader import GetLastArticleTime
from RSSWriter import CheckIt

def getBaseURL( url ):
	i_zboard = url.index("zboard.php")
	return url[:i_zboard]

def job(title, defaultURL, xmlfile):
	print title, defaultURL, xmlfile
	Listdata = getData( defaultURL )
	ArticleDataList = []
	parsedData = DataParser(Listdata)
	baseurl = getBaseURL( defaultURL )
	for url , time in parsedData:
		#print url, time
		url = baseurl+ url
		ArticleData = getData( url )
		ArticleDataList.append(ArticleParse(ArticleData) )
		ArticleDataList[-1]["TIME"] = time
		#ArticleDataList[-1]["URL"] = quote(url)
		ArticleDataList[-1]["URL"] = url
		#break
	NewRss = RssMaker(ArticleDataList,title,CFG,strip=strip)
	#if os.path.exists(xmlfile):
	#	if CheckIt(NewRss,xmlfile,GetLastArticleTime):
	#		return
			#raise SystemExit
	NewRss.seek(0)
	file(xmlfile,'w').write(NewRss.read())

def main():
	GalleryList = CFG["LIST"]["list"]
	GalleryList = GalleryList.split(',')
        print GalleryList
	for gallery in GalleryList:
		job( CFG[gallery]["title"], CFG[gallery]["url"], CFG[gallery]["xmlfile"] )

if __name__ == '__main__':
	main()

#vim:ts=8:sts=8:sw=8:noexpandtab
